Develop an object format creation policy

2011-06-14 16:25 - Chris Jones

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

The object format list in d1_common_java is thus far an ad hoc list of known object formats needed in the D1 software.  Additions will

be needed.  We need to develop a policy on who will have write access to the realtime version of this list, when the on-disk version

will be periodically updated, etc.  New object formats need to be vetted, and that process should be put into place.  This process

should align with the object format creation process with the UDFR group when their registry is operational.

History

#1 - 2011-06-20 20:57 - Chris Jones

- Subject changed from Develop an object format modification policy to Develop an object format creation policy

For the CN implementation of addFormat(), we will use a service level of access control where, instead of setting access to the cached XML

document in Metacat (an implementation-specific detail), we'll check access on the method itself for a given subject.  The service will have a unique

identifier, likely the URI of the POST service like 'cn.dataone.org/formats/fmtid', and the AccessPolicy will be checked for that resource.  If the subject

is listed as having write access to the given service URI, then the addition of the format will be allowed.

Other details:

- The format list needs to be checked prior addition of the new format to ensure fmtid uniqueness

- For Metacat, the access query needs to use guid instead of docid since there is no docid for the listed URI resource in xml_access.

- Object formats are immutable, and so previously registered formats must not change

- The Slice properties of the object format list need to be updated

#2 - 2011-06-27 01:24 - Dave Vieglais

- Target version set to Sprint-2011.29-Block.4

- Position set to 1

#3 - 2011-08-30 01:35 - Dave Vieglais

- Target version deleted (Sprint-2011.29-Block.4)

- Position deleted (29)

- Position set to 1

#4 - 2011-08-30 01:49 - Dave Vieglais

- Position set to 4

- Position deleted (14)

#5 - 2012-01-06 03:42 - Dave Vieglais

- Position deleted (94)
- Position set to 28

#6 - 2014-10-02 17:24 - Dave Vieglais

- Due date set to 2014-10-02

- Target version set to CCI-2.0.0

#7 - 2014-10-02 21:26 - Rob Nahf

- Due date deleted (2014-12-01)

- Target version deleted (CCI-2.0.0)

- Start date deleted (2014-12-01)

- Milestone set to None

#8 - 2015-01-19 22:45 - Dave Vieglais

- Project changed from Infrastructure to DataONE API

#9 - 2018-01-17 20:46 - Dave Vieglais

- Sprint set to Infrastructure backlog
